Subject: Re: [External] : Re: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: Kevin Vigouroux <[email-masked]>
Date: Thu, 02 Sep 2021 08:53:50 +0200

The potential issue is to hide the developer's view of how to proceed
or how things work by presenting them with another interface. It would
be much better to bridge the gap between the user and the developer.
Choosing to replace `setq' with `customize-set-variable' would be like
cutting yourself off from an alternative path.

In other words, this would lead to the following situations.

‣ customize-set-variable: “Okay, so I choose the value of this
  parameter.”

‣ setq: “I need to change the value of this variable to change the
  operation.”

Even though `customize-set-variable' is more convenient at first, it is
a bit like discouraging the user from taking another route by blocking
the way: too complicated. With the other approach you can always use
both `setq' and the *Customize* interface (simultaneously and as the
last resort).